Skip to main content
GET
/
clients
/
me
/
wallets
/
{walletId}
/
ejectable-backup-shares
Get ejectable backup shares for a wallet
curl --request GET \
  --url https://api.portalhq.io/api/v3/clients/me/wallets/{walletId}/ejectable-backup-shares \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "encryptedClientBackupShare": "encrypted_share_data...",
    "custodianBackupShare": "custodian_share_data..."
  }
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Path Parameters

walletId
string
required

The unique identifier of the wallet.

Query Parameters

backupMethod
enum<string>
required

The backup method to retrieve shares for.

Available options:
GDRIVE,
ICLOUD,
PASSWORD,
PASSKEY

Response

Ejectable backup shares retrieved successfully

data
object